Ir al contenido

SCIM 2.0

SCIM 2.0 service provider for user and group provisioning from your identity provider.

GET /scim/v2/ServiceProviderConfig

Autenticación: Ninguna: la solicitud se autentica con la firma descrita arriba.

Estado Descripción
200 Capabilities of the SCIM service.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
],
"patch": {
"supported": true
},
"bulk": {
"supported": false,
"maxOperations": 0,
"maxPayloadSize": 0
},
"filter": {
"supported": true,
"maxResults": 200
},
"changePassword": {
"supported": false
},
"sort": {
"supported": true
},
"etag": {
"supported": false
},
"authenticationSchemes": [
{
"type": "oauthbearertoken",
"name": "OAuth Bearer Token",
"primary": true
}
]
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ServiceProviderConfig"

GET /scim/v2/ResourceTypes

Autenticación: Ninguna: la solicitud se autentica con la firma descrita arriba.

Estado Descripción
200 Supported resource types (User, Group).

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "User",
"name": "User",
"endpoint": "/Users",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User"
},
{
"id": "Group",
"name": "Group",
"endpoint": "/Groups",
"schema": "urn:ietf:params:scim:schemas:core:2.0:Group"
}
]
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ResourceTypes"

GET /scim/v2/Schemas

Autenticación: Ninguna: la solicitud se autentica con la firma descrita arriba.

Estado Descripción
200 Supported schemas.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "User Account"
},
{
"id": "urn:ietf:params:scim:schemas:core:2.0:Group",
"name": "Group",
"description": "Group"
}
]
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Schemas"

GET /scim/v2/Users

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
filter query string no SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer no
count query integer no
Estado Descripción
200 Users of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"meta": {
"resourceType": "User",
"location": "/scim/v2/Users/[email protected]"
}
}
]
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Users

Autenticación: Token SCIM: Authorization: Bearer <token>

application/scim+json

Nombre Tipo Obligatorio Descripción
schemas array<string> sí
id string no
externalId string \ null no
userName string sí
name object no
name.givenName string no
name.familyName string no
name.formatted string no
displayName string no
emails array<object> no
emails[].value string (email) no
emails[].type string no
emails[].primary boolean no
active boolean no
userType string no
title string \ null no
locale string \ null no
timezone string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null no
meta object no
meta.resourceType string no
meta.created string \ null (date-time) no
meta.lastModified string \ null (date-time) no
meta.location string no
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"externalId": "00u1a2b3c4D5e6F7g8h9",
"name": {
"givenName": "Jane",
"familyName": "Doe"
},
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true
}
Estado Descripción
201 User created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
409 A user with this userName already exists.

Ejemplo 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Ventana de terminal
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"userName":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","name":{"givenName":"Jane","familyName":"Doe"},"emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true}'

GET /scim/v2/Users/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí
Estado Descripción
200 User.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PUT /scim/v2/Users/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí

application/scim+json

Nombre Tipo Obligatorio Descripción
schemas array<string> sí
id string no
externalId string \ null no
userName string sí
name object no
name.givenName string no
name.familyName string no
name.formatted string no
displayName string no
emails array<object> no
emails[].value string (email) no
emails[].type string no
emails[].primary boolean no
active boolean no
userType string no
title string \ null no
locale string \ null no
timezone string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null no
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null no
meta object no
meta.resourceType string no
meta.created string \ null (date-time) no
meta.lastModified string \ null (date-time) no
meta.location string no
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Estado Descripción
200 User replaced.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Ventana de terminal
curl -X PUT "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"id":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","userName":"[email protected]","name":{"givenName":"Jane","familyName":"Doe","formatted":"Jane Doe"},"displayName":"Jane Doe","emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true,"userType":"User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"E-10442","department":"Finance","manager":null},"meta":{"resourceType":"User","created":"2026-11-01T08:00:00.000Z","lastModified":"2026-11-01T08:00:00.000Z","location":"/scim/v2/Users/[email protected]"}}'

PATCH /scim/v2/Users/{id}

Supports add, replace and remove operations, for example deactivating with {"op":"replace","path":"active","value":false}.

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí

application/scim+json

Nombre Tipo Obligatorio Descripción
schemas array<string> no
Operations array<object> sí
Operations[].op string (add, replace, remove, Add, Replace, Remove) sí
Operations[].path string no
Operations[].value no
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"path": "active",
"value": false
}
]
}
Estado Descripción
200 User updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Ventana de terminal
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"active","value":false}]}'

DELETE /scim/v2/Users/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí
Estado Descripción
204 User deprovisioned.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
Ventana de terminal
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

GET /scim/v2/Groups

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
filter query string no SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer no
count query integer no
Estado Descripción
200 Groups of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
]
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Groups

Autenticación: Token SCIM: Authorization: Bearer <token>

application/scim+json

Nombre Tipo Obligatorio Descripción
schemas array<string> sí
id string no
displayName string sí
externalId string \ null no
members array<object> no
members[].value string sí
members[].type string no
members[].display string no
meta object no
meta.resourceType string no
meta.created string \ null (date-time) no
meta.lastModified string \ null (date-time) no
meta.location string no
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]"
}
]
}
Estado Descripción
201 Group created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.

Ejemplo 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Ventana de terminal
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"],"displayName":"Service Desk L1","members":[{"value":"[email protected]"}]}'

GET /scim/v2/Groups/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí
Estado Descripción
200 Group.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Ventana de terminal
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PATCH /scim/v2/Groups/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí

application/scim+json

Nombre Tipo Obligatorio Descripción
schemas array<string> no
Operations array<object> sí
Operations[].op string (add, replace, remove, Add, Replace, Remove) sí
Operations[].path string no
Operations[].value no
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "[email protected]"
}
]
}
]
}
Estado Descripción
200 Group updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Ejemplo 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Ventana de terminal
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"members","value":[{"value":"[email protected]"}]}]}'

DELETE /scim/v2/Groups/{id}

Autenticación: Token SCIM: Authorization: Bearer <token>

Nombre Dónde Tipo Obligatorio Descripción
id ruta string sí
Estado Descripción
204 Group deleted.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
Ventana de terminal
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

Página generada a partir de la especificación OpenAPI de la API de integración, versión 1.1.0.